:root {
	--offset: 35px;
	--duration: 1s;
	--delay: 0.3s;
	--shift: 130%;
}

.mavic_animation-js .mavic__img,
.mavic_animation-js::before,
.mavic_animation-js::after {
	animation-duration: var(--duration);
	animation-fill-mode: forwards;
}

.mavic_animation-js .mavic__img {
	animation-timing-function: cubic-bezier(0.45, -0.67, 0.53, 1.63);
}

.mavic_animation-js::before,
.mavic_animation-js::after {
	position: absolute;
	top: 50%;
	left: 50%;
}

.mavic_animation-js::before {
	content: url('../img/iphone-back.png');
	opacity: 0;
	transform: translate(calc(-50% - var(--offset)), var(--shift)) scale(0)
		rotate(90deg);
}

.mavic_animation-js::after {
	content: url('../img/iphone-front.png');

	opacity: 0;
	transform: translate(calc(-50% + var(--offset)), var(--shift)) scale(0)
		rotate(90deg);
}

/* Hover */
.mavic_animation-js.hover .mavic__img {
	animation-name: mavic-of;
}

.mavic_animation-js.no-hover .mavic__img {
	animation-name: mavic-on;
}

.mavic_animation-js.hover::before {
	animation-name: iphoneBack_on;
}

.mavic_animation-js.no-hover::before {
	animation-name: iphoneBack_of;
}

.mavic_animation-js.hover::after {
	animation-name: iphoneFront_on;
}

.mavic_animation-js.no-hover::after {
	animation-name: iphoneFront_of;
}

/* MAVIC */
@keyframes mavic-of {
	0% {
		opacity: 1;
		transform: translateY(0) scale(1) rotate(0);
	}
	100% {
		opacity: 0;
		transform: translateY(calc(var(--shift) * -1)) scale(0) rotate(-45deg);
	}
}

@keyframes mavic-on {
	0% {
		opacity: 0;
		transform: translateY(calc(var(--shift) * -1)) scale(0) rotate(-45deg);
	}

	100% {
		opacity: 1;
		transform: translateY(0) scale(1) rotate(0);
	}
}

/* IPHONE BACK */

@keyframes iphoneBack_of {
	0% {
		opacity: 1;
		transform: translate(calc(-50% + var(--offset)), -50%) scale(1) rotate(0);
	}

	20% {
		opacity: 1;
		transform: translate(calc(-50% - var(--offset)), -50%) scale(1) rotate(0);
	}

	100% {
		opacity: 0;
		transform: translate(calc(-50% - var(--offset)), var(--shift)) scale(0)
			rotate(90deg);
	}
}

@keyframes iphoneBack_on {
	0% {
		opacity: 0;
		transform: translate(calc(-50% - var(--offset)), var(--shift)) scale(0)
			rotate(90deg);
	}

	80% {
		opacity: 1;
		transform: translate(calc(-50% - var(--offset)), -50%) scale(1) rotate(0);
	}

	100% {
		opacity: 1;
		transform: translate(calc(-50% + var(--offset)), -50%) scale(1) rotate(0);
	}
}

/* IPHONE FRONT */
@keyframes iphoneFront_of {
	0% {
		opacity: 1;
		transform: translate(calc(-50% - var(--offset)), -50%) scale(1) rotate(0);
	}

	20% {
		opacity: 1;
		transform: translate(calc(-50% + var(--offset)), -50%) scale(1) rotate(0);
	}

	100% {
		opacity: 0;
		transform: translate(calc(-50% + var(--offset)), var(--shift)) scale(0)
			rotate(90deg);
	}
}

@keyframes iphoneFront_on {
	0% {
		opacity: 0;
		transform: translate(calc(-50% + var(--offset)), var(--shift)) scale(0)
			rotate(90deg);
	}

	80% {
		opacity: 1;
		transform: translate(calc(-50% + var(--offset)), -50%) scale(1) rotate(0);
	}

	100% {
		opacity: 1;
		transform: translate(calc(-50% - var(--offset)), -50%) scale(1) rotate(0);
	}
}
